interfaces:
- accept-all-mac-addresses: true
  dispatch:
    post-activation: "\ndpdk_vfs=\"3\"\nlinux_vfs=\"0 1\"\nset -x\n\nfor vfid in $dpdk_vfs\
      \ $linux_vfs; do\n    vf_pci_id=$(basename $(readlink /sys/class/net/$1/device/virtfn$vfid))\
      \ &&\n    modalias=$(cat /sys/class/net/$1/device/virtfn$vfid/modalias) &&\n\
      \    def_driver=$(modprobe -R $modalias) &&\n    if echo $dpdk_vfs | grep -qw\
      \ $vfid && ! [ \"$def_driver\" = mlx5_core ]; then\n        driver=vfio-pci\n\
      \    else\n        driver=$default_driver\n    fi &&\n    cur_drv=$(basename\
      \ $(readlink /sys/bus/pci/devices/$vf_pci_id/driver)) &&\n    if ! [ \"$cur_drv\"\
      \ = \"$driver\" ]; then\n        driverctl --nosave set-override $vf_pci_id\
      \ \"$driver\"\n    fi\ndone\n\n"
  ethernet:
    sr-iov:
      drivers-autoprobe: true
      total-vfs: 5
      vfs:
      - id: 0
        spoof-check: false
        trust: true
        vlan-id: 72
      - id: 1
        spoof-check: false
        trust: true
        vlan-id: 73
      - id: 3
        spoof-check: false
        trust: true
  ethtool:
    feature:
      hw-tc-offload: false
  ipv4:
    auto-gateway: false
    dhcp: false
    enabled: false
  ipv6:
    auto-gateway: false
    autoconf: false
    dhcp: false
    enabled: false
  mtu: 9000
  name: ens1f1
  state: up
  type: ethernet
- accept-all-mac-addresses: true
  dispatch:
    post-activation: "\ndpdk_vfs=\"3\"\nlinux_vfs=\"0 1\"\nset -x\n\nfor vfid in $dpdk_vfs\
      \ $linux_vfs; do\n    vf_pci_id=$(basename $(readlink /sys/class/net/$1/device/virtfn$vfid))\
      \ &&\n    modalias=$(cat /sys/class/net/$1/device/virtfn$vfid/modalias) &&\n\
      \    def_driver=$(modprobe -R $modalias) &&\n    if echo $dpdk_vfs | grep -qw\
      \ $vfid && ! [ \"$def_driver\" = mlx5_core ]; then\n        driver=vfio-pci\n\
      \    else\n        driver=$default_driver\n    fi &&\n    cur_drv=$(basename\
      \ $(readlink /sys/bus/pci/devices/$vf_pci_id/driver)) &&\n    if ! [ \"$cur_drv\"\
      \ = \"$driver\" ]; then\n        driverctl --nosave set-override $vf_pci_id\
      \ \"$driver\"\n    fi\ndone\n\n"
  ethernet:
    sr-iov:
      drivers-autoprobe: true
      total-vfs: 5
      vfs:
      - id: 0
        spoof-check: false
        trust: true
        vlan-id: 72
      - id: 1
        spoof-check: false
        trust: true
        vlan-id: 73
      - id: 3
        spoof-check: false
        trust: true
  ethtool:
    feature:
      hw-tc-offload: false
  ipv4:
    auto-gateway: false
    dhcp: false
    enabled: false
  ipv6:
    auto-gateway: false
    autoconf: false
    dhcp: false
    enabled: false
  mtu: 9000
  name: ens1f2
  state: up
  type: ethernet
- ethernet: {}
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: eno8303
  state: up
  type: ethernet
- ethernet:
    sr-iov:
      total-vfs: 0
  ipv4:
    address:
    - ip: 192.168.122.100
      prefix-length: 24
    dhcp: false
    enabled: true
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: ens1f0
  state: up
  type: ethernet
- accept-all-mac-addresses: true
  ethernet: {}
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: ens1f1v0
  state: up
  type: ethernet
- accept-all-mac-addresses: true
  ethernet: {}
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: ens1f2v0
  state: up
  type: ethernet
- accept-all-mac-addresses: true
  ethernet: {}
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: ens1f1v1
  state: up
  type: ethernet
- accept-all-mac-addresses: true
  ethernet: {}
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: ens1f2v1
  state: up
  type: ethernet
- ipv4:
    address:
    - ip: 172.19.0.100
      prefix-length: 24
    dhcp: false
    enabled: true
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  mtu: 9000
  name: br-link0-p
  state: up
  type: ovs-interface
- dpdk:
    devargs: '0000:19:06.3'
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  mtu: 9000
  name: dpdk0
  ovs-db:
    external_ids: {}
    other_config: {}
  state: up
  type: ovs-interface
- dpdk:
    devargs: 0000:19:0a.3
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  mtu: 9000
  name: dpdk1
  ovs-db:
    external_ids: {}
    other_config: {}
  state: up
  type: ovs-interface
- ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  mtu: 9000
  name: br-dpdk0-p
  state: up
  type: ovs-interface
- dpdk:
    devargs: '0000:19:00.3'
    rx-queue: 1
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: dpdk2
  ovs-db:
    external_ids: {}
    other_config: {}
  state: up
  type: ovs-interface
- bridge:
    options:
      datapath: netdev
      fail-mode: standalone
      mcast-snooping-enable: false
      rstp: false
      stp: false
    port:
    - link-aggregation:
        mode: active-backup
        ovs-db:
          other_config:
            bond-primary: dpdk0
        port:
        - name: dpdk0
        - name: dpdk1
      name: dpdkbond0
    - name: br-link0-p
      vlan:
        mode: access
        tag: 74
  name: br-link0
  ovs-db:
    external_ids: {}
    other_config:
      mac-table-size: 50000
  state: up
  type: ovs-bridge
- bridge:
    options:
      datapath: netdev
      fail-mode: standalone
      mcast-snooping-enable: false
      rstp: false
      stp: false
    port:
    - name: dpdk2
    - name: br-dpdk0-p
  name: br-dpdk0
  ovs-db:
    external_ids: {}
    other_config:
      mac-table-size: 50000
  state: up
  type: ovs-bridge
- ipv4:
    address:
    - ip: 172.17.0.100
      prefix-length: 24
    auto-dns: false
    dhcp: false
    enabled: true
  ipv6:
    auto-dns: false
    autoconf: false
    dhcp: false
    enabled: false
  link-aggregation:
    mode: active-backup
    port:
    - ens1f1v0
    - ens1f2v0
  name: bond_api
  state: up
  type: bond
- ipv4:
    address:
    - ip: 172.18.0.100
      prefix-length: 24
    auto-dns: false
    dhcp: false
    enabled: true
  ipv6:
    auto-dns: false
    autoconf: false
    dhcp: false
    enabled: false
  link-aggregation:
    mode: active-backup
    port:
    - ens1f1v1
    - ens1f2v1
  name: storage_bond
  state: up
  type: bond

routes:
  config:
  - destination: 0.0.0.0/0
    next-hop-address: 192.168.122.1
    next-hop-interface: ens1f0

dns-resolver:
  config:
    search: []
    server:
    - 192.168.122.80

